function D = calctpltdists(L,T,IX,N)
% D = calctpltdists(L,T,IX,N)  Calculate dists of LNA segs to a prb template
%    L is the name of an LNA file, and T is a template calculated by
%    mkstdtemplate.m.  D returns the distance, from prbtpltdist.m
%    of each segment in L to the template T.  IX is a pre-read index to 
%    to L (default: []) and N is the number of symbols in L (default: 54).
% 1999jan07 dpwe@icsi.berkeley.edu uttclass
% $Header: /n/yam/da/dpwe/projects/uttclass/prbtpltdists.m,v 1.1 1999/01/15 01:13:21 dpwe Exp dpwe $

if (nargin < 4)
  N = 54;
end
if (nargin < 3)
  IX = [];
end

if (isempty(IX))
  [p,IX] = readlna(L,-1,N);
end

nsegs = prod(size(IX));

disp([num2str(nsegs), ' segments to process']);

D = zeros(1,nsegs);

for s = 1:nsegs
  if rem(s,10)==0
     disp(['seg ', num2str(s)]);
  end
  [p] = readlna(L,s,N,IX);
  D(s) = prbtpltdist(p,T);
end

