function D = gaussdist(M,V,X)
% D = gaussdist(M,V,X)  Calculate distance to points from Gaussian
%     M and V define the mean and covariance of a multi-dimensional 
%     Gaussian.  For each row of X, return a value in D corresponding 
%     to the gaussian evaluated at that point i.e. the PDF.
% 1999jan06 dpwe@icsi.berkeley.edu uttclass
% $Header: /n/yam/da/dpwe/projects/uttclass/gaussdist.m,v 1.1 1999/01/15 01:58:43 dpwe Exp dpwe $

nd = prod(size(M));

nx = size(X,1);

mx = ones(nx,1)*M;

if (nd == 1) 
  D = (X-mx)' .* (inv(V)*(X-mx)');
else
  D = sum( (X-mx)' .* (inv(V)*(X-mx)') );
end
