function plot2dgauss(M,V,D,S,C)
% plot2dgauss(m,v,d,s,c)   Plot ellipse defining 2D gaussian
%     Plot an ellipse on the current figure corresponding to the 
%     first two dimensions of the multi-dimensional guassian defined 
%     by the mean vector m and the covariance matrix v.  
%     d (default [1 2]) defines which dimensions of m and v to use.
%     s (default 1) defines the radius of the ellipse in standard deviations.
%     c (default 'y') defines the color/style of the plot.
% 1999jan06 dpwe@icsi.berkeley.edu uttclass

if (nargin < 3)
  D = [1 2];
end
if (nargin < 4)
  S = 1.0;
end
if (nargin < 5)
  C = 'y';
end

% Points to define a circle
npts = 20;
xy = [cos([0:npts]/npts*2*pi);sin([0:npts]/npts*2*pi)];

% Project onto dimensions
[u,s,v] = svd(inv(V(D,D)));

rxy = S * v * inv(sqrt(s)) * xy;

% Plot
hold on
plot(M(D(1))+rxy(1,:),M(D(2))+rxy(2,:),C)
hold off
