function plotscatter(X,D,S,T,U,V)
% plotscatter(X,D,S,T,U,V)  Plot some scatter subset points
%    Each row of X is a multidimensional data observation.  Plot
%    the dimensions specified in the 2-element vector D for the 
%    data points specified in the optional row sets defined 
%    by S (default all) T,U,V (default none).  Sets are colored
%    green, blue, magenta, red.
% 1999jan07 dpwe@icsi.berkeley.edu uttclass

[nr,nd] = size(X);

if (nargin < 3)
  S = 1:nr;
end
plot(X(S,D(1)),X(S,D(2)),'.g');

if(nargin > 3)
  hold on
  plot(X(T,D(1)),X(T,D(2)),'.b');
  hold off
end

if(nargin > 4)
  hold on
  plot(X(U,D(1)),X(U,D(2)),'.m');
  hold off
end

if(nargin > 5)
  hold on
  plot(X(V,D(1)),X(V,D(2)),'.r');
  hold off
end

