function D = prbtpltdist(p,T)
% D = prbtpltdist(P,T)  Calculate distance of LNA seg to template
%    P is a array of probabilities read from an LNA file. T is 
%    a two-row template defining the expected per-row std devs of 
%    P (based on a particular signal type) and the stddevs of those
%    expectations.  Return the Mahalanobis distance, D, between the 
%    statistics of P and the template T.
% 1999jan07 dpwe@icsi.berkeley.edu uttclass
% $Header: /n/yam/da/dpwe/projects/uttclass/prbtpltdist.m,v 1.1 1999/01/15 01:09:12 dpwe Exp dpwe $


[ne,nf] = size(p);

% index to strip out h#
nohix = 2:ne;

% Special weighted mean and var, weighting is 1-pr(h#)
[m,v] = wtdmeanvar(p',(1-p(1,:))');
d = sqrt(v(nohix));

D = norm((d - T(1,:))./T(2,:));
