function [M,V] = wtdmeanvar(X,W)
% [M,V] = wtdmeanvar(X,W)  Calculate row-weighted mean and var of a dataset
%       X is a matrix of observation rows.  W is a weighting associated 
%       with each row.  Return M as the weighted mean of each element
%       (column) of X, and V as the per-column variance.
% 1999jan14 dpwe@icsi.berkeley.edu uttclass

[nr,nc] = size(X);

M = (W' * X)/sum(W);
V = (W' * ((X - ones(nr, 1)*M).^2))/sum(W);

